<app-baselayout title="Margin Customers">
    <div class="container">
        <!-- section -->
        <!-- <div class="row mt-3 mb-3">
            <div class="col-sm-6">
                <input type="text" id="txtSearch" class="form-control" placeholder="Search by Name, Mobile No, Email ID"
                    [(ngModel)]="margincustomerobj.search" />
            </div>
            <div class="col-sm-1">
                <button type="button" class="btn btn-success"
                    (click)="getMarginCustomerList(margincustomerobj)">Search</button>

            </div>
            <div class="col-sm-2">
                <button type="button" class="btn btn-danger" (click)="clear()">Clear</button>
            </div>
        </div> -->


        <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table w-100"
            style="white-space: nowrap;">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Mobile No</th>
                    <th scope="col">Email ID</th>
                    <th scope="col">RM Name</th>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of marginCustomerList">
                    <th scope="row">{{data.index}}</th>
                    <td>{{data.customer_name}}</td>
                    <td>{{data.customer_mobileno}}</td>
                    <td>{{data.customer_emailid}}</td>
                    <td>{{data.rm_name}}</td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="backdrop" *ngIf="loader"
    style="position: fixed; top: 0; right: 0;bottom: 0; left: 0; display: flex; align-items: center;justify-content: center;z-index: 199999;background: hsl(0deg 0% 0% / 40%);">
    <!-- <div class="loader"></div> -->
    <img src="assets/images/Loader.gif" style="max-width: 80px;">
</div>
</app-baselayout>